create or replace package DOCX_SDT_FORMAT is
 -- Required procedure
  procedure genDOCX;
 
  -- Required variable
  v_docx blob;

  cursor c_sample is
  select rownum, owner, object_name from all_objects where rownum <= 100;
  
end DOCX_SDT_FORMAT;
/
create or replace package body DOCX_SDT_FORMAT is
/* 2016-JAN-26 11:30 */
/* PL/PDF REPORTER 3.7.0 */
l_paragraph1 pls_integer;
l_text_idx1 pls_integer;
l_text_idx2 pls_integer;
l_run1 ploffx_document_type.CT_R;
l_text_idx3 pls_integer;
l_run2 ploffx_document_type.CT_R;
l_text_idx4 pls_integer;
l_run3 ploffx_document_type.CT_R;
l_text_idx5 pls_integer;
l_run4 ploffx_document_type.CT_R;
l_text_idx6 pls_integer;
l_run5 ploffx_document_type.CT_R;
l_text_idx7 pls_integer;
l_run6 ploffx_document_type.CT_R;
l_text_idx8 pls_integer;
l_run7 ploffx_document_type.CT_R;
l_text_idx9 pls_integer;
procedure genDOCX is
 begin 
ploffx_docx.init( );
/* START PARAGRAPH */
l_paragraph1 := ploffx_docx.crParagraph();
l_text_idx1 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'The sharing operation is ', p_fontSize => 10);
l_text_idx2 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'finished when ', p_fontSize => 10);
l_run1 := ploffx_docx.getRun( p_paragraph => l_paragraph1, p_text => l_text_idx2);
sdt_sample.setRunBold(l_run1);
ploffx_docx.setRun( p_text => l_text_idx2, p_run => l_run1);
l_text_idx3 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'the document ', p_color => 'FF0000', p_fontSize => 10);
l_run2 := ploffx_docx.getRun( p_paragraph => l_paragraph1, p_text => l_text_idx3);
sdt_sample.setRunBold(l_run2);
ploffx_docx.setRun( p_text => l_text_idx3, p_run => l_run2);
l_text_idx4 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'is saved by the recipient and the document can no longer be accessed via the URL. ', p_fontSize => 10);
l_run3 := ploffx_docx.getRun( p_paragraph => l_paragraph1, p_text => l_text_idx4);
sdt_sample.setRunBold(l_run3);
ploffx_docx.setRun( p_text => l_text_idx4, p_run => l_run3);
l_text_idx5 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'Additional mechanisms', p_color => 'FF0000', p_fontSize => 10);
l_run4 := ploffx_docx.getRun( p_paragraph => l_paragraph1, p_text => l_text_idx5);
sdt_sample.setRunBold(l_run4);
ploffx_docx.setRun( p_text => l_text_idx5, p_run => l_run4);
l_text_idx6 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => ', such as ', p_fontSize => 10);
l_run5 := ploffx_docx.getRun( p_paragraph => l_paragraph1, p_text => l_text_idx6);
sdt_sample.setRunBold(l_run5);
ploffx_docx.setRun( p_text => l_text_idx6, p_run => l_run5);
l_text_idx7 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'password', p_highlight => 'yellow', p_fontSize => 10);
l_run6 := ploffx_docx.getRun( p_paragraph => l_paragraph1, p_text => l_text_idx7);
sdt_sample.setRunBold(l_run6);
ploffx_docx.setRun( p_text => l_text_idx7, p_run => l_run6);
l_text_idx8 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => ' protection', p_fontSize => 10);
l_run7 := ploffx_docx.getRun( p_paragraph => l_paragraph1, p_text => l_text_idx8);
sdt_sample.setRunBold(l_run7);
ploffx_docx.setRun( p_text => l_text_idx8, p_run => l_run7);
l_text_idx9 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => ', protect the user and data from misuse. It is also possible to scan a 3D barcode and call the document to be signed.', p_fontSize => 10);
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph1);
ploffx_docx.getDoc( p_blob_file => v_Docx);
end;
end DOCX_SDT_FORMAT;
/
